Settings
========

The following settings are available for configuration through your project.
All settings are customized by prefixing ``WIKI_``, so for instance
``URL_CASE_SENSITIVE`` should be configured as ``WIKI_URL_CASE_SENSITIVE``.
For plugins the prefix is ``WIKI_PLUGINNAME_``, e.g. ``WIKI_IMAGES`` for the
images plugin.

.. automodule:: wiki.conf.settings
   :members:

Plugin attachments
------------------

.. automodule:: wiki.plugins.attachments.settings
   :members:

Plugin editsection
------------------

.. automodule:: wiki.plugins.editsection.settings
   :members:

Plugin images
-------------

.. automodule:: wiki.plugins.images.settings
   :members:

Plugin links
------------

.. automodule:: wiki.plugins.links.settings
   :members:

Plugin macros
-------------

.. automodule:: wiki.plugins.macros.settings
   :members:
